For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGet all release templates
      • POSTCreate a release template
      • GETGet a release template
      • PUTUpdate a release template
      • DELDelete a release template
      • POSTArchive a release template
      • POSTAdd a milestone
      • PUTUpdate a milestone
      • DELRemove a milestone
      • POSTAdd a strategy to milestone
      • PUTUpdate milestone strategy
      • DELRemove milestone strategy
      • GETGet release plans
      • POSTAdd a release plan
      • DELRemove a release plan
      • POSTStart a milestone

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIRelease templates

Get release plans

||View as Markdown|
GET
https://app.unleash-instance.example.com/api/admin/projects/:project/features/:featureName/environments/:environment/release-plans
GET
/api/admin/projects/:project/features/:featureName/environments/:environment/release-plans
$curl https://app.unleash-instance.example.com/api/admin/projects/project/features/featureName/environments/environment/release-plans \
> -H "Authorization: <apiKey>"
1[
2 {
3 "id": "01JB9GGTGQYEQ9D40R17T3YVW2",
4 "discriminator": "plan",
5 "name": "My release plan",
6 "featureName": "my-feature",
7 "environment": "production",
8 "createdByUserId": 53,
9 "createdAt": "2022-01-01T00:00:00Z",
10 "milestones": [
11 {
12 "id": "01JB9GGTGQYEQ9D40R17T3YVW1",
13 "name": "My milestone",
14 "sortOrder": 1,
15 "releasePlanDefinitionId": "01JB9GGTGQYEQ9D40R17T3YVW2",
16 "startedAt": "2024-01-01T00:00:00.000Z",
17 "transitionCondition": {
18 "intervalMinutes": 30
19 },
20 "progressionExecutedAt": "2024-01-01T00:00:00.000Z",
21 "pausedAt": "2024-01-01T00:00:00.000Z",
22 "strategies": [
23 {
24 "id": "01JB9GGTGQYEQ9D40R17T3YVW3",
25 "milestoneId": "01JB9GGTGQYEQ9D40R17T3YVW1",
26 "sortOrder": 9999,
27 "name": "flexibleRollout",
28 "strategyName": "flexibleRollout",
29 "title": "Gradual Rollout 25-Prod",
30 "parameters": {
31 "groupId": "some_new",
32 "rollout": "25",
33 "stickiness": "sessionId"
34 },
35 "constraints": [
36 {
37 "contextName": "appName",
38 "operator": "IN",
39 "caseInsensitive": false,
40 "inverted": false,
41 "values": [
42 "1",
43 "2"
44 ]
45 }
46 ],
47 "variants": [
48 {
49 "name": "blue_group",
50 "weight": 1,
51 "weightType": "fix",
52 "stickiness": "custom.context.field",
53 "payload": {
54 "type": "json",
55 "value": "{\"color\": \"red\"}"
56 }
57 }
58 ],
59 "segments": [
60 1,
61 2
62 ],
63 "disabled": false
64 }
65 ]
66 }
67 ],
68 "releasePlanTemplateId": "01JB9GGTGQYEQ9D40R17T3YVW2",
69 "description": "This is my release plan",
70 "activeMilestoneId": "01JB9GGTGQYEQ9D40R17T3YVW1",
71 "safeguards": [
72 {
73 "id": "01JB9GGTGQYEQ9D40R17T3YVW1",
74 "action": {
75 "type": "pauseReleasePlanProgressions",
76 "id": "01JB9GGTGQYEQ9D40R17T3YVW2"
77 },
78 "triggerCondition": {
79 "operator": ">",
80 "threshold": 100
81 },
82 "impactMetric": {
83 "id": "01JB9GGTGQYEQ9D40R17T3YVW1",
84 "metricName": "unleash_counter_feature_toggle_usage_total",
85 "timeRange": "day",
86 "aggregationMode": "rps",
87 "labelSelectors": {
88 "environment": [
89 "development"
90 ],
91 "project": [
92 "default"
93 ]
94 },
95 "source": "internal"
96 }
97 }
98 ]
99 }
100]

Enterprise feature

Returns a list of all release plans for a specific feature flag and environment.

Was this page helpful?
Previous

Add a release plan

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

projectstringRequired
featureNamestringRequired
environmentstringRequired

Response

#/components/schemas/releasePlansSchema

idstring

The release plan/template’s ID. Release template IDs are ulids.

discriminatorenum
A field to distinguish between release plans and release templates.
Allowed values:
namestring
The name of the release template.
featureNamestring
The name of the feature that uses this release plan.
environmentstring
The environment that this release plan is for.
createdByUserIddouble

Release template: The ID of the user who created this template.

createdAtstringformat: "date-time"
The date and time that the release template was created.
milestoneslist of objects
A list of the milestones in this release template.
releasePlanTemplateIdstring
The ID of the release plan template that this release plan is based on.
descriptionstring or null
A description of the release template.
activeMilestoneIdstring or null
The ID of the currently active milestone in this release plan.
safeguardslist of objects
An array of safeguards configured for this release plan.

Errors

401
Unauthorized Error